# Uses of Interface
javax.help.HelpHistoryModel

Packages that use HelpHistoryModel
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.plaf.basic

## Uses of HelpHistoryModel in javax.help

Classes in javax.help that implement HelpHistoryModel
Modifier and Type
Class
Description
`class`
`DefaultHelpHistoryModel`
DefaultHelpHistoryModel is default implementation of HelpHistoryModel interface
Fields in javax.help declared as HelpHistoryModel
Modifier and Type
Field
Description
`protected HelpHistoryModel`
JHelp.`historyModel`
Methods in javax.help that return HelpHistoryModel
Modifier and Type
Method
Description
`HelpHistoryModel`
JHelp.`getHistoryModel()`
Returns The HelpHistoryModel
Constructors in javax.help with parameters of type HelpHistoryModel
Modifier
Constructor
Description
``
`JHelp(TextHelpModel model, HelpHistoryModel history, HelpSet.Presentation hsPres)`
Create a JHelp using the TextHelpModel and HelpHistoryModel

## Uses of HelpHistoryModel in javax.help.plaf.basic

Methods in javax.help.plaf.basic that return HelpHistoryModel
Modifier and Type
Method
Description
`protected HelpHistoryModel`
BasicHelpUI.`getHistoryModel()`
Returns actual HelpHistoryModel